Get current token

  • GET
  • /user
  • /token

Get personal access token used for authorization

Request

REQUIRED SCOPES
TOKEN_INFO

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
The ID of the access token
namestring
The name/description of the access token
tokenstring
The actual access token value. Only returned when creating a new token
expires_ininteger
The token expiration time in days
expires_atstring
The token expiration date
scopesstring[]
The array of OAuth scopes granted to the token

Constraints: Unique items required

ip_restrictionsstring[]
The array of IP addresses that are allowed to use this token
workspace_restrictionsstring[]
The array of workspaces for which this token can be used

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/user/token" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/user/tokens/ed0f8927-c116-4afe-b555-c888dfd86c92", "html_url": "https://app.buddy.works/api-tokens/details/ed0f8927-c116-4afe-b555-c888dfd86c92", "id": "ed0f8927-c116-4afe-b555-c888dfd86c92", "name": "My API Token", "expires_at": "2025-10-17T10:30:18.123456789Z", "scopes": [ "WORKSPACE", "REPOSITORY_READ" ], "ip_restrictions": [ "192.168.1.100", "10.0.0.0/8" ], "workspace_restrictions": [ "my-workspace" ] }
STATUS
200 OK